package com.keao.edu.user.entity;

import com.keao.edu.user.enums.TransStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_registration_payment):
 */
public class ExamRegistrationPayment {

	private Long id;
	
	@ApiModelProperty(value = "学员报考编号")
	private Long examRegistrationId;

	@ApiModelProperty(value = "学员编号")
	private Integer studentId;

	@ApiModelProperty(value = "报考项目编号")
	private Long examinationBasicId;

	@ApiModelProperty(value = "订单号（系统自动生成）")
	private String orderNo;

	@ApiModelProperty(value = "收款渠道")
	private String payType;

	@ApiModelProperty(value = "交易流水号（由第三方返回）")
	private String transNo;

	@ApiModelProperty(value = "渠道收款账户号")
	private String merNo;

	@ApiModelProperty(value = "支付方式")
	private String payChannel;

	@ApiModelProperty(value = "交易金额")
	private java.math.BigDecimal transAmount;

	@ApiModelProperty(value = "交易状态")
	private TransStatusEnum transStatus;

	@ApiModelProperty(value = "交易成功时间")
	private java.util.Date transSuccessedTime;

	@ApiModelProperty(value = "备注")
	private String memo;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	private Integer organId;

	private ExamRegistration examRegistration;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExamRegistrationId(Long examRegistrationId){
		this.examRegistrationId = examRegistrationId;
	}
	
	public Long getExamRegistrationId(){
		return this.examRegistrationId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public void setOrderNo(String orderNo){
		this.orderNo = orderNo;
	}
	
	public String getOrderNo(){
		return this.orderNo;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}

	public String getMerNo() {
		return merNo;
	}

	public void setMerNo(String merNo) {
		this.merNo = merNo;
	}
			
	public void setTransAmount(java.math.BigDecimal transAmount){
		this.transAmount = transAmount;
	}
	
	public java.math.BigDecimal getTransAmount(){
		return this.transAmount;
	}
			
	public void setTransStatus(TransStatusEnum transStatus){
		this.transStatus = transStatus;
	}
	
	public TransStatusEnum getTransStatus(){
		return this.transStatus;
	}
			
	public void setTransSuccessedTime(java.util.Date transSuccessedTime){
		this.transSuccessedTime = transSuccessedTime;
	}
	
	public java.util.Date getTransSuccessedTime(){
		return this.transSuccessedTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}

	public String getPayType() {
		return payType;
	}

	public void setPayType(String payType) {
		this.payType = payType;
	}

	public String getPayChannel() {
		return payChannel;
	}

	public void setPayChannel(String payChannel) {
		this.payChannel = payChannel;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public ExamRegistration getExamRegistration() {
		return examRegistration;
	}

	public void setExamRegistration(ExamRegistration examRegistration) {
		this.examRegistration = examRegistration;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}


}
